/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IMenuOption } from '../../menu';
import { BaseComponent, IBaseComponent } from '../../core/base/base-component';
export interface IAppBarHelpButtonComponent extends IBaseComponent {
    options: IMenuOption[];
}
declare global {
    interface HTMLElementTagNameMap {
        'forge-app-bar-help-button': IAppBarHelpButtonComponent;
    }
}
/**
 * The web component class behind the `<forge-app-bar-help-button>` custom element.
 *
 * @tag forge-app-bar-help-button
 */
export declare class AppBarHelpButtonComponent extends BaseComponent implements IAppBarHelpButtonComponent {
    private _foundation;
    constructor();
    initializedCallback(): void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    options: IMenuOption[];
}
